# Netlify Storybook Plugin [![NPM version](https://img.shields.io/npm/v/@netlify/plugin-storybook.svg)](https://npmjs.com/@netlify/plugin-storybook)

Plugin to provide better [Component Publishing Protocol (CPP)](https://storybook.js.org/docs/react/sharing/publish-storybook#cpp-level-1) support for Storybooks deployed to Netlify

## Installation options

You can install the plugin for your site using your `netlify.toml` file or the Netlify UI.

### Install plugin through the Netlify UI

For UI-based installation, you can install this plugin from the [Plugins directory](https://app.netlify.com/plugins), or through this [direct installation link](https://app.netlify.com/plugins/@netlify/plugin-storybook/install).

### Install plugin with a `netlify.toml` file

To install the plugin manually:

From your project's base directory, use npm, yarn, or any other Node.js package manager to add the plugin to `devDependencies` in `package.json`.

```bash
npm install -D @netlify/plugin-storybook
```

Then add the plugin to your `netlify.toml` configuration file:

```toml
[[plugins]]
  package = "@netlify/plugin-storybook"
```
