import { generateFunctions } from './helpers/edge-functions.js';
import { generateMetadata, generateStories } from './helpers/json.js';

export const onBuild = async ({ constants, packageJson, utils }) => {
  // Generate stories.json, if not found
  await generateStories({ constants, utils });

  // Generate metadata.json
  await generateMetadata({ constants, packageJson, utils });

  // Generate edge functions
  await generateFunctions({ constants, utils });
};
